<html>
<head>
<title>OGRE: Ogre::RenderSystemCapabilities Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1RenderSystemCapabilities.html">RenderSystemCapabilities</a></div>
<h1>Ogre::RenderSystemCapabilities Class Reference</h1><!-- doxytag: class="Ogre::RenderSystemCapabilities" -->singleton class for storing the capabilities of the graphics card.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1RenderSystemCapabilities-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#04d9002874f93e33c1c19b77981619b9">RenderSystemCapabilities</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#49ee4c3b34a2565a204486e882433f83">~RenderSystemCapabilities</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#75d8395e0c43f90a1c531962f4c4b43a">setNumWorldMatricies</a> (<a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> num)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#30d60525e67ed5f91b6cbd6237bf6d59">setNumTextureUnits</a> (<a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> num)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#8e94964a9e870f2abae39d60ca481222">setStencilBufferBitDepth</a> (<a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> num)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#c0c9d7c2da760077f75262a0b2527ef5">setNumVertexBlendMatrices</a> (<a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> num)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#e71df2e605b37bc04a8ea19ac783aff8">setNumMultiRenderTargets</a> (<a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> num)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The number of simultaneous render targets supported.  <a href="#e71df2e605b37bc04a8ea19ac783aff8"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a9c5f080cb932b729e3eeaf4b88acc04">getNumWorldMatricies</a> (void) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#3b1ffeb8ebc5f169f403cffdf1bccfa2">getNumTextureUnits</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the number of texture units the current output hardware supports.  <a href="#3b1ffeb8ebc5f169f403cffdf1bccfa2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#2a891af96902f1ec14c8fefa13334e0c">getStencilBufferBitDepth</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Determines the bit depth of the hardware accelerated stencil buffer, if supported.  <a href="#2a891af96902f1ec14c8fefa13334e0c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#b6a4164a489cb5ec43f69470dad3dd9a">numVertexBlendMatrices</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the number of matrices available to hardware vertex blending for this rendering system.  <a href="#b6a4164a489cb5ec43f69470dad3dd9a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#48532bf4bcee69bbb546a77b3a34a6b9">numMultiRenderTargets</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The number of simultaneous render targets supported.  <a href="#48532bf4bcee69bbb546a77b3a34a6b9"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#e4d12b08dc193773222f9938c54d452c">setCapability</a> (const <a class="el" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de7">Capabilities</a> c)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Adds a capability flag to mCapabilities.  <a href="#e4d12b08dc193773222f9938c54d452c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#14fd0260f957d3099781f70d544d5c8e">hasCapability</a> (const <a class="el" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de7">Capabilities</a> c) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Checks for a capability.  <a href="#14fd0260f957d3099781f70d544d5c8e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#bd902d5a0ea15b91e99d82a9a65adfba">getMaxVertexProgramVersion</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the best low-level vertex program version supported.  <a href="#bd902d5a0ea15b91e99d82a9a65adfba"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#0704c54e5941908a45d741b318dc5578">getMaxFragmentProgramVersion</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the best fragment program that this card / rendersystem supports.  <a href="#0704c54e5941908a45d741b318dc5578"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#03a9d1e3524b626b0a2ea8cb921eba3e">getVertexProgramConstantFloatCount</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The number of floating-point constants vertex programs support.  <a href="#03a9d1e3524b626b0a2ea8cb921eba3e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#b07b9b287d282cecac36e661f6977e1a">getVertexProgramConstantIntCount</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The number of integer constants vertex programs support.  <a href="#b07b9b287d282cecac36e661f6977e1a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#8a2ed7cf3bdc06fc004aaf767e557c7e">getVertexProgramConstantBoolCount</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The number of boolean constants vertex programs support.  <a href="#8a2ed7cf3bdc06fc004aaf767e557c7e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#b2fdf94ce9d02faafc52fa8ce458297b">getFragmentProgramConstantFloatCount</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The number of floating-point constants fragment programs support.  <a href="#b2fdf94ce9d02faafc52fa8ce458297b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#cb830e4b3adbb7c007bcfce4b53598d2">getFragmentProgramConstantIntCount</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The number of integer constants fragment programs support.  <a href="#cb830e4b3adbb7c007bcfce4b53598d2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#86c7c29d8be145515892fa6d054fa44e">getFragmentProgramConstantBoolCount</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The number of boolean constants fragment programs support.  <a href="#86c7c29d8be145515892fa6d054fa44e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#d556c02999b08b73d09f5fea90d5828d">setMaxVertexProgramVersion</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;ver)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">sets the best low-level vertex program version supported  <a href="#d556c02999b08b73d09f5fea90d5828d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#138810e19c14f381364f394f432b9ade">setMaxFragmentProgramVersion</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;ver)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">sets the best fragment program that this card / rendersystem supports  <a href="#138810e19c14f381364f394f432b9ade"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#1e7fb39f40db9845caba401dd68b71f0">setVertexProgramConstantFloatCount</a> (<a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> c)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The number of floating-point constants vertex programs support.  <a href="#1e7fb39f40db9845caba401dd68b71f0"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#ca154f790d3d3e17ea63eae71c4809ea">setVertexProgramConstantIntCount</a> (<a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> c)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The number of integer constants vertex programs support.  <a href="#ca154f790d3d3e17ea63eae71c4809ea"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#5c5748ababf1fed6341974394707af2e">setVertexProgramConstantBoolCount</a> (<a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> c)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The number of boolean constants vertex programs support.  <a href="#5c5748ababf1fed6341974394707af2e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#d5ebcf7fa91d34bbda4d9020b43e3e33">setFragmentProgramConstantFloatCount</a> (<a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> c)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The number of floating-point constants fragment programs support.  <a href="#d5ebcf7fa91d34bbda4d9020b43e3e33"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#bc084fe2dda834b7d6b236b7ebd27c47">setFragmentProgramConstantIntCount</a> (<a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> c)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The number of integer constants fragment programs support.  <a href="#bc084fe2dda834b7d6b236b7ebd27c47"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#011eba973fe349f787a621240b23617c">setFragmentProgramConstantBoolCount</a> (<a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> c)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The number of boolean constants fragment programs support.  <a href="#011eba973fe349f787a621240b23617c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#1af2a1dc2f1ca1f269dac3f2086ce61d">setMaxPointSize</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> s)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Maximum point screen size in pixels.  <a href="#1af2a1dc2f1ca1f269dac3f2086ce61d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#6f82c240e62399468bafd8bc3f1eec88">getMaxPointSize</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Maximum point screen size in pixels.  <a href="#6f82c240e62399468bafd8bc3f1eec88"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a01343a82a55354a350735ffeb53a237">setNonPOW2TexturesLimited</a> (bool l)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Non-POW2 textures limited.  <a href="#a01343a82a55354a350735ffeb53a237"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#2c744135211afca5f60942980f65d9c3">getNonPOW2TexturesLimited</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Are non-power of two textures limited in features?  <a href="#2c744135211afca5f60942980f65d9c3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#c413b836ff218b338962cfdbfd8f3abd">setNumVertexTextureUnits</a> (<a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> n)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set the number of vertex texture units supported.  <a href="#c413b836ff218b338962cfdbfd8f3abd"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#fc245aed1285d3fbbdee743d51c68f8a">getNumVertexTextureUnits</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the number of vertex texture units supported.  <a href="#fc245aed1285d3fbbdee743d51c68f8a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#6d3150e03533c65123b4cdc1abf148cf">setVertexTextureUnitsShared</a> (bool shared)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set whether the vertex texture units are shared with the fragment processor.  <a href="#6d3150e03533c65123b4cdc1abf148cf"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#c7e5afd559a54cc00bd960948b776d57">getVertexTextureUnitsShared</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get whether the vertex texture units are shared with the fragment processor.  <a href="#c7e5afd559a54cc00bd960948b776d57"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#ef9f2e248e419df9621415c3951fba09">log</a> (<a class="el" href="classOgre_1_1Log.html">Log</a> *pLog)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Write the capabilities to the pass in <a class="el" href="classOgre_1_1Log.html" title="Log class for writing debug/log data to files.">Log</a>.  <a href="#ef9f2e248e419df9621415c3951fba09"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#64e1006759ef01acc90408c6670ef157">mNumWorldMatrices</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The number of world matricies available.  <a href="#64e1006759ef01acc90408c6670ef157"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#43c9db6bfd307805cf5cc4e2f0799547">mNumTextureUnits</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The number of texture units available.  <a href="#43c9db6bfd307805cf5cc4e2f0799547"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#449e2125d88a4ae151f0744a17447880">mStencilBufferBitDepth</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The stencil buffer bit depth.  <a href="#449e2125d88a4ae151f0744a17447880"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#bbe27f5059909ee7a77103b3b43d5a3b">mNumVertexBlendMatrices</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The number of matrices available for hardware blending.  <a href="#bbe27f5059909ee7a77103b3b43d5a3b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#146a25f83a98d4cc52545bb4dec5955f">mCapabilities</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Stores the capabilities flags.  <a href="#146a25f83a98d4cc52545bb4dec5955f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#36b2b74903d8a3369d842091d587624f">mMaxVertexProgramVersion</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The best vertex program that this card / rendersystem supports.  <a href="#36b2b74903d8a3369d842091d587624f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#81f9b26137179366cc22c6b0d7ea9d07">mMaxFragmentProgramVersion</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The best fragment program that this card / rendersystem supports.  <a href="#81f9b26137179366cc22c6b0d7ea9d07"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#c0aa8c9beea605c71338bfcc1c9ccdc9">mVertexProgramConstantFloatCount</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The number of floating-point constants vertex programs support.  <a href="#c0aa8c9beea605c71338bfcc1c9ccdc9"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#b013482d1a40f06df9bb5cea8d9c1970">mVertexProgramConstantIntCount</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The number of integer constants vertex programs support.  <a href="#b013482d1a40f06df9bb5cea8d9c1970"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#25fd805e6880fe8ac23796c69001eb9c">mVertexProgramConstantBoolCount</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The number of boolean constants vertex programs support.  <a href="#25fd805e6880fe8ac23796c69001eb9c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#363baa3153104884d2a0ef337ee6ea92">mFragmentProgramConstantFloatCount</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The number of floating-point constants fragment programs support.  <a href="#363baa3153104884d2a0ef337ee6ea92"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#9dbb5c8648d32eb1624309f94205763e">mFragmentProgramConstantIntCount</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The number of integer constants fragment programs support.  <a href="#9dbb5c8648d32eb1624309f94205763e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#27fbb13b542a8e2c7d75e787381d4158">mFragmentProgramConstantBoolCount</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The number of boolean constants fragment programs support.  <a href="#27fbb13b542a8e2c7d75e787381d4158"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#aaa314c0131a7eb6492b1532cc0b340c">mNumMultiRenderTargets</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The number of simultaneous render targets supported.  <a href="#aaa314c0131a7eb6492b1532cc0b340c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#1e33646cc9558a12c9389ca376ba94c2">mMaxPointSize</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The maximum point size.  <a href="#1e33646cc9558a12c9389ca376ba94c2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#445dc7153fee1762d12abed5d7463f33">mNonPOW2TexturesLimited</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Are non-POW2 textures feature-limited?  <a href="#445dc7153fee1762d12abed5d7463f33"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#d59df370ee6f1a69dc6f7480e68d803c">mNumVertexTextureUnits</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The number of vertex texture units supported.  <a href="#d59df370ee6f1a69dc6f7480e68d803c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#43a4c6e44984408f87ffb11d46c51052">mVertexTextureUnitsShared</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Are vertex texture units shared with fragment processor?  <a href="#43a4c6e44984408f87ffb11d46c51052"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
singleton class for storing the capabilities of the graphics card. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This class stores the capabilities of the graphics card. This information is set by the individual render systems. </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00103">103</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="04d9002874f93e33c1c19b77981619b9"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::RenderSystemCapabilities" ref="04d9002874f93e33c1c19b77981619b9" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::RenderSystemCapabilities::RenderSystemCapabilities           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="49ee4c3b34a2565a204486e882433f83"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::~RenderSystemCapabilities" ref="49ee4c3b34a2565a204486e882433f83" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::RenderSystemCapabilities::~RenderSystemCapabilities           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="75d8395e0c43f90a1c531962f4c4b43a"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::setNumWorldMatricies" ref="75d8395e0c43f90a1c531962f4c4b43a" args="(ushort num)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderSystemCapabilities::setNumWorldMatricies           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td>
          <td class="paramname"> <em>num</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00147">147</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="30d60525e67ed5f91b6cbd6237bf6d59"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::setNumTextureUnits" ref="30d60525e67ed5f91b6cbd6237bf6d59" args="(ushort num)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderSystemCapabilities::setNumTextureUnits           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td>
          <td class="paramname"> <em>num</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00152">152</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8e94964a9e870f2abae39d60ca481222"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::setStencilBufferBitDepth" ref="8e94964a9e870f2abae39d60ca481222" args="(ushort num)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderSystemCapabilities::setStencilBufferBitDepth           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td>
          <td class="paramname"> <em>num</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00157">157</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c0c9d7c2da760077f75262a0b2527ef5"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::setNumVertexBlendMatrices" ref="c0c9d7c2da760077f75262a0b2527ef5" args="(ushort num)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderSystemCapabilities::setNumVertexBlendMatrices           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td>
          <td class="paramname"> <em>num</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00162">162</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e71df2e605b37bc04a8ea19ac783aff8"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::setNumMultiRenderTargets" ref="e71df2e605b37bc04a8ea19ac783aff8" args="(ushort num)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderSystemCapabilities::setNumMultiRenderTargets           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td>
          <td class="paramname"> <em>num</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The number of simultaneous render targets supported. 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00168">168</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="a9c5f080cb932b729e3eeaf4b88acc04"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::getNumWorldMatricies" ref="a9c5f080cb932b729e3eeaf4b88acc04" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> Ogre::RenderSystemCapabilities::getNumWorldMatricies           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00173">173</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="3b1ffeb8ebc5f169f403cffdf1bccfa2"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::getNumTextureUnits" ref="3b1ffeb8ebc5f169f403cffdf1bccfa2" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> Ogre::RenderSystemCapabilities::getNumTextureUnits           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the number of texture units the current output hardware supports. 
<p>
For use in rendering, this determines how many texture units the are available for multitexturing (i.e. rendering multiple textures in a single pass). Where a <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> has multiple texture layers, it will try to use multitexturing where available, and where it is not available, will perform multipass rendering to achieve the same effect. This property only applies to the fixed-function pipeline, the number available to the programmable pipeline depends on the shader model in use. 
<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00190">190</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="2a891af96902f1ec14c8fefa13334e0c"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::getStencilBufferBitDepth" ref="2a891af96902f1ec14c8fefa13334e0c" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> Ogre::RenderSystemCapabilities::getStencilBufferBitDepth           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Determines the bit depth of the hardware accelerated stencil buffer, if supported. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>If hardware stencilling is not supported, the software will provide an 8-bit software stencil. </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00201">201</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b6a4164a489cb5ec43f69470dad3dd9a"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::numVertexBlendMatrices" ref="b6a4164a489cb5ec43f69470dad3dd9a" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> Ogre::RenderSystemCapabilities::numVertexBlendMatrices           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the number of matrices available to hardware vertex blending for this rendering system. 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00208">208</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="48532bf4bcee69bbb546a77b3a34a6b9"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::numMultiRenderTargets" ref="48532bf4bcee69bbb546a77b3a34a6b9" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> Ogre::RenderSystemCapabilities::numMultiRenderTargets           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The number of simultaneous render targets supported. 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00214">214</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e4d12b08dc193773222f9938c54d452c"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::setCapability" ref="e4d12b08dc193773222f9938c54d452c" args="(const Capabilities c)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderSystemCapabilities::setCapability           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de7">Capabilities</a>&nbsp;</td>
          <td class="paramname"> <em>c</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Adds a capability flag to mCapabilities. 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00221">221</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="14fd0260f957d3099781f70d544d5c8e"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::hasCapability" ref="14fd0260f957d3099781f70d544d5c8e" args="(const Capabilities c) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::RenderSystemCapabilities::hasCapability           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de7">Capabilities</a>&nbsp;</td>
          <td class="paramname"> <em>c</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Checks for a capability. 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00228">228</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="bd902d5a0ea15b91e99d82a9a65adfba"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::getMaxVertexProgramVersion" ref="bd902d5a0ea15b91e99d82a9a65adfba" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::RenderSystemCapabilities::getMaxVertexProgramVersion           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the best low-level vertex program version supported. 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00240">240</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="0704c54e5941908a45d741b318dc5578"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::getMaxFragmentProgramVersion" ref="0704c54e5941908a45d741b318dc5578" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::RenderSystemCapabilities::getMaxFragmentProgramVersion           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the best fragment program that this card / rendersystem supports. 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00245">245</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="03a9d1e3524b626b0a2ea8cb921eba3e"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::getVertexProgramConstantFloatCount" ref="03a9d1e3524b626b0a2ea8cb921eba3e" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> Ogre::RenderSystemCapabilities::getVertexProgramConstantFloatCount           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The number of floating-point constants vertex programs support. 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00250">250</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b07b9b287d282cecac36e661f6977e1a"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::getVertexProgramConstantIntCount" ref="b07b9b287d282cecac36e661f6977e1a" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> Ogre::RenderSystemCapabilities::getVertexProgramConstantIntCount           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The number of integer constants vertex programs support. 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00255">255</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8a2ed7cf3bdc06fc004aaf767e557c7e"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::getVertexProgramConstantBoolCount" ref="8a2ed7cf3bdc06fc004aaf767e557c7e" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> Ogre::RenderSystemCapabilities::getVertexProgramConstantBoolCount           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The number of boolean constants vertex programs support. 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00260">260</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b2fdf94ce9d02faafc52fa8ce458297b"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::getFragmentProgramConstantFloatCount" ref="b2fdf94ce9d02faafc52fa8ce458297b" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> Ogre::RenderSystemCapabilities::getFragmentProgramConstantFloatCount           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The number of floating-point constants fragment programs support. 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00265">265</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="cb830e4b3adbb7c007bcfce4b53598d2"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::getFragmentProgramConstantIntCount" ref="cb830e4b3adbb7c007bcfce4b53598d2" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> Ogre::RenderSystemCapabilities::getFragmentProgramConstantIntCount           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The number of integer constants fragment programs support. 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00270">270</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="86c7c29d8be145515892fa6d054fa44e"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::getFragmentProgramConstantBoolCount" ref="86c7c29d8be145515892fa6d054fa44e" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> Ogre::RenderSystemCapabilities::getFragmentProgramConstantBoolCount           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The number of boolean constants fragment programs support. 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00275">275</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d556c02999b08b73d09f5fea90d5828d"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::setMaxVertexProgramVersion" ref="d556c02999b08b73d09f5fea90d5828d" args="(const String &amp;ver)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderSystemCapabilities::setMaxVertexProgramVersion           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>ver</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
sets the best low-level vertex program version supported 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00283">283</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="138810e19c14f381364f394f432b9ade"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::setMaxFragmentProgramVersion" ref="138810e19c14f381364f394f432b9ade" args="(const String &amp;ver)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderSystemCapabilities::setMaxFragmentProgramVersion           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>ver</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
sets the best fragment program that this card / rendersystem supports 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00288">288</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="1e7fb39f40db9845caba401dd68b71f0"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::setVertexProgramConstantFloatCount" ref="1e7fb39f40db9845caba401dd68b71f0" args="(ushort c)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderSystemCapabilities::setVertexProgramConstantFloatCount           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td>
          <td class="paramname"> <em>c</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The number of floating-point constants vertex programs support. 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00293">293</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ca154f790d3d3e17ea63eae71c4809ea"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::setVertexProgramConstantIntCount" ref="ca154f790d3d3e17ea63eae71c4809ea" args="(ushort c)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderSystemCapabilities::setVertexProgramConstantIntCount           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td>
          <td class="paramname"> <em>c</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The number of integer constants vertex programs support. 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00298">298</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="5c5748ababf1fed6341974394707af2e"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::setVertexProgramConstantBoolCount" ref="5c5748ababf1fed6341974394707af2e" args="(ushort c)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderSystemCapabilities::setVertexProgramConstantBoolCount           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td>
          <td class="paramname"> <em>c</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The number of boolean constants vertex programs support. 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00303">303</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d5ebcf7fa91d34bbda4d9020b43e3e33"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::setFragmentProgramConstantFloatCount" ref="d5ebcf7fa91d34bbda4d9020b43e3e33" args="(ushort c)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderSystemCapabilities::setFragmentProgramConstantFloatCount           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td>
          <td class="paramname"> <em>c</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The number of floating-point constants fragment programs support. 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00308">308</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="bc084fe2dda834b7d6b236b7ebd27c47"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::setFragmentProgramConstantIntCount" ref="bc084fe2dda834b7d6b236b7ebd27c47" args="(ushort c)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderSystemCapabilities::setFragmentProgramConstantIntCount           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td>
          <td class="paramname"> <em>c</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The number of integer constants fragment programs support. 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00313">313</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="011eba973fe349f787a621240b23617c"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::setFragmentProgramConstantBoolCount" ref="011eba973fe349f787a621240b23617c" args="(ushort c)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderSystemCapabilities::setFragmentProgramConstantBoolCount           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td>
          <td class="paramname"> <em>c</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The number of boolean constants fragment programs support. 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00318">318</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="1af2a1dc2f1ca1f269dac3f2086ce61d"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::setMaxPointSize" ref="1af2a1dc2f1ca1f269dac3f2086ce61d" args="(Real s)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderSystemCapabilities::setMaxPointSize           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>s</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Maximum point screen size in pixels. 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00323">323</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6f82c240e62399468bafd8bc3f1eec88"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::getMaxPointSize" ref="6f82c240e62399468bafd8bc3f1eec88" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::RenderSystemCapabilities::getMaxPointSize           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Maximum point screen size in pixels. 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00328">328</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="a01343a82a55354a350735ffeb53a237"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::setNonPOW2TexturesLimited" ref="a01343a82a55354a350735ffeb53a237" args="(bool l)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderSystemCapabilities::setNonPOW2TexturesLimited           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>l</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Non-POW2 textures limited. 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00333">333</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="2c744135211afca5f60942980f65d9c3"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::getNonPOW2TexturesLimited" ref="2c744135211afca5f60942980f65d9c3" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::RenderSystemCapabilities::getNonPOW2TexturesLimited           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Are non-power of two textures limited in features? 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>If the RSC_NON_POWER_OF_2_TEXTURES capability is set, but this method returns true, you can use non power of 2 textures only if: <ul>
<li>
You load them explicitly with no mip maps </li>
<li>
You don't use DXT texture compression </li>
<li>
You use clamp texture addressing</li>
</ul>
</dd></dl>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00345">345</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c413b836ff218b338962cfdbfd8f3abd"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::setNumVertexTextureUnits" ref="c413b836ff218b338962cfdbfd8f3abd" args="(ushort n)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderSystemCapabilities::setNumVertexTextureUnits           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td>
          <td class="paramname"> <em>n</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set the number of vertex texture units supported. 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00351">351</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="fc245aed1285d3fbbdee743d51c68f8a"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::getNumVertexTextureUnits" ref="fc245aed1285d3fbbdee743d51c68f8a" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> Ogre::RenderSystemCapabilities::getNumVertexTextureUnits           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the number of vertex texture units supported. 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00356">356</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6d3150e03533c65123b4cdc1abf148cf"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::setVertexTextureUnitsShared" ref="6d3150e03533c65123b4cdc1abf148cf" args="(bool shared)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderSystemCapabilities::setVertexTextureUnitsShared           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>shared</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set whether the vertex texture units are shared with the fragment processor. 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00361">361</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c7e5afd559a54cc00bd960948b776d57"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::getVertexTextureUnitsShared" ref="c7e5afd559a54cc00bd960948b776d57" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::RenderSystemCapabilities::getVertexTextureUnitsShared           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get whether the vertex texture units are shared with the fragment processor. 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00366">366</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ef9f2e248e419df9621415c3951fba09"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::log" ref="ef9f2e248e419df9621415c3951fba09" args="(Log *pLog)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderSystemCapabilities::log           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Log.html">Log</a> *&nbsp;</td>
          <td class="paramname"> <em>pLog</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Write the capabilities to the pass in <a class="el" href="classOgre_1_1Log.html" title="Log class for writing debug/log data to files.">Log</a>. 
<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="64e1006759ef01acc90408c6670ef157"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::mNumWorldMatrices" ref="64e1006759ef01acc90408c6670ef157" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> <a class="el" href="classOgre_1_1RenderSystemCapabilities.html#64e1006759ef01acc90408c6670ef157">Ogre::RenderSystemCapabilities::mNumWorldMatrices</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The number of world matricies available. 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00107">107</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="43c9db6bfd307805cf5cc4e2f0799547"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::mNumTextureUnits" ref="43c9db6bfd307805cf5cc4e2f0799547" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> <a class="el" href="classOgre_1_1RenderSystemCapabilities.html#43c9db6bfd307805cf5cc4e2f0799547">Ogre::RenderSystemCapabilities::mNumTextureUnits</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The number of texture units available. 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00109">109</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="449e2125d88a4ae151f0744a17447880"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::mStencilBufferBitDepth" ref="449e2125d88a4ae151f0744a17447880" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> <a class="el" href="classOgre_1_1RenderSystemCapabilities.html#449e2125d88a4ae151f0744a17447880">Ogre::RenderSystemCapabilities::mStencilBufferBitDepth</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The stencil buffer bit depth. 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00111">111</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="bbe27f5059909ee7a77103b3b43d5a3b"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::mNumVertexBlendMatrices" ref="bbe27f5059909ee7a77103b3b43d5a3b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> <a class="el" href="classOgre_1_1RenderSystemCapabilities.html#bbe27f5059909ee7a77103b3b43d5a3b">Ogre::RenderSystemCapabilities::mNumVertexBlendMatrices</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The number of matrices available for hardware blending. 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00113">113</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="146a25f83a98d4cc52545bb4dec5955f"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::mCapabilities" ref="146a25f83a98d4cc52545bb4dec5955f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classOgre_1_1RenderSystemCapabilities.html#146a25f83a98d4cc52545bb4dec5955f">Ogre::RenderSystemCapabilities::mCapabilities</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Stores the capabilities flags. 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00115">115</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="36b2b74903d8a3369d842091d587624f"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::mMaxVertexProgramVersion" ref="36b2b74903d8a3369d842091d587624f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1RenderSystemCapabilities.html#36b2b74903d8a3369d842091d587624f">Ogre::RenderSystemCapabilities::mMaxVertexProgramVersion</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The best vertex program that this card / rendersystem supports. 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00117">117</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="81f9b26137179366cc22c6b0d7ea9d07"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::mMaxFragmentProgramVersion" ref="81f9b26137179366cc22c6b0d7ea9d07" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1RenderSystemCapabilities.html#81f9b26137179366cc22c6b0d7ea9d07">Ogre::RenderSystemCapabilities::mMaxFragmentProgramVersion</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The best fragment program that this card / rendersystem supports. 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00119">119</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c0aa8c9beea605c71338bfcc1c9ccdc9"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::mVertexProgramConstantFloatCount" ref="c0aa8c9beea605c71338bfcc1c9ccdc9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> <a class="el" href="classOgre_1_1RenderSystemCapabilities.html#c0aa8c9beea605c71338bfcc1c9ccdc9">Ogre::RenderSystemCapabilities::mVertexProgramConstantFloatCount</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The number of floating-point constants vertex programs support. 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00121">121</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b013482d1a40f06df9bb5cea8d9c1970"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::mVertexProgramConstantIntCount" ref="b013482d1a40f06df9bb5cea8d9c1970" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> <a class="el" href="classOgre_1_1RenderSystemCapabilities.html#b013482d1a40f06df9bb5cea8d9c1970">Ogre::RenderSystemCapabilities::mVertexProgramConstantIntCount</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The number of integer constants vertex programs support. 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00123">123</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="25fd805e6880fe8ac23796c69001eb9c"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::mVertexProgramConstantBoolCount" ref="25fd805e6880fe8ac23796c69001eb9c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> <a class="el" href="classOgre_1_1RenderSystemCapabilities.html#25fd805e6880fe8ac23796c69001eb9c">Ogre::RenderSystemCapabilities::mVertexProgramConstantBoolCount</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The number of boolean constants vertex programs support. 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00125">125</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="363baa3153104884d2a0ef337ee6ea92"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::mFragmentProgramConstantFloatCount" ref="363baa3153104884d2a0ef337ee6ea92" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> <a class="el" href="classOgre_1_1RenderSystemCapabilities.html#363baa3153104884d2a0ef337ee6ea92">Ogre::RenderSystemCapabilities::mFragmentProgramConstantFloatCount</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The number of floating-point constants fragment programs support. 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00127">127</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9dbb5c8648d32eb1624309f94205763e"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::mFragmentProgramConstantIntCount" ref="9dbb5c8648d32eb1624309f94205763e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> <a class="el" href="classOgre_1_1RenderSystemCapabilities.html#9dbb5c8648d32eb1624309f94205763e">Ogre::RenderSystemCapabilities::mFragmentProgramConstantIntCount</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The number of integer constants fragment programs support. 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00129">129</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="27fbb13b542a8e2c7d75e787381d4158"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::mFragmentProgramConstantBoolCount" ref="27fbb13b542a8e2c7d75e787381d4158" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> <a class="el" href="classOgre_1_1RenderSystemCapabilities.html#27fbb13b542a8e2c7d75e787381d4158">Ogre::RenderSystemCapabilities::mFragmentProgramConstantBoolCount</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The number of boolean constants fragment programs support. 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00131">131</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="aaa314c0131a7eb6492b1532cc0b340c"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::mNumMultiRenderTargets" ref="aaa314c0131a7eb6492b1532cc0b340c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> <a class="el" href="classOgre_1_1RenderSystemCapabilities.html#aaa314c0131a7eb6492b1532cc0b340c">Ogre::RenderSystemCapabilities::mNumMultiRenderTargets</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The number of simultaneous render targets supported. 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00133">133</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="1e33646cc9558a12c9389ca376ba94c2"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::mMaxPointSize" ref="1e33646cc9558a12c9389ca376ba94c2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1RenderSystemCapabilities.html#1e33646cc9558a12c9389ca376ba94c2">Ogre::RenderSystemCapabilities::mMaxPointSize</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The maximum point size. 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00135">135</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="445dc7153fee1762d12abed5d7463f33"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::mNonPOW2TexturesLimited" ref="445dc7153fee1762d12abed5d7463f33" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RenderSystemCapabilities.html#445dc7153fee1762d12abed5d7463f33">Ogre::RenderSystemCapabilities::mNonPOW2TexturesLimited</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Are non-POW2 textures feature-limited? 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00137">137</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d59df370ee6f1a69dc6f7480e68d803c"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::mNumVertexTextureUnits" ref="d59df370ee6f1a69dc6f7480e68d803c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> <a class="el" href="classOgre_1_1RenderSystemCapabilities.html#d59df370ee6f1a69dc6f7480e68d803c">Ogre::RenderSystemCapabilities::mNumVertexTextureUnits</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The number of vertex texture units supported. 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00139">139</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="43a4c6e44984408f87ffb11d46c51052"></a><!-- doxytag: member="Ogre::RenderSystemCapabilities::mVertexTextureUnitsShared" ref="43a4c6e44984408f87ffb11d46c51052" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RenderSystemCapabilities.html#43a4c6e44984408f87ffb11d46c51052">Ogre::RenderSystemCapabilities::mVertexTextureUnitsShared</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Are vertex texture units shared with fragment processor? 
<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00141">141</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:52:15 2008
</p>
</body>
</html>
